partial model PartialBeltShape "Base class for a belt shape" 
  annotation (Documentation(info="<HTML>
  <p>
    To define your own belt shape you have to create a list of points. <br>
    Where the x-values have to be in the range of [-0.5,0.5] and the y-value between [0,1]. The points have to be given in (y,x) pairs.<br>
    The flat belt shown in the figure below is defined by: {{0,0.5},{0,-0.5},{1,-0.5},{1,0.5}}).    
 </p>
  <p>
    <IMG SRC=\"../Pics/Belt.png\"
  </p>
  </HTML>"));
  
  constant Real y[:,2] "defines the shape of the belt (used for animation)";
end PartialBeltShape;
