connector SpanConnector "Span connector base class" 
  Integer direction "direction of pulley rotation";
  Modelica.SIunits.Angle WrapAngle "current wrap angle";
  Modelica.SIunits.Length DeltaWALength 
    "change of span length due to belt takeup";
  Modelica.SIunits.Angle Rotation "rotation angle of pulley axis";
  Modelica.SIunits.Diameter PulleyDiameter "pulley diameter";
  Modelica.SIunits.Length SpanLength "span length";
  Modelica.SIunits.Position ContactPoint[3] 
    "vector to the contact point between pulley & belt";
  Modelica.SIunits.Position PulleyPosition[3] "vector to the pulley center";
  Modelica.SIunits.Position SpanVec2D[2] "span geometry vector";
  Modelica.SIunits.Position Xm[3] 
    "vector between the center points of the connected pulleys";
  flow Modelica.SIunits.Force SpanForce[3] "vector of the span forces";
end SpanConnector;
