partial model PartialPulleyShape "Base class for a pulley shape" 
  input Modelica.SIunits.Position position[3] = {0,0,0};
  input Modelica.SIunits.Diameter diameter = 0.15;
  input Modelica.SIunits.Angle rotation = 0;
  input Modelica.SIunits.Position zCoordinate = 0;
  input Modelica.SIunits.Length width = 0.02;
  input Modelica.SIunits.Length beltHeight = 0.005;
  input Modelica.Mechanics.MultiBody.Types.SpecularCoefficient 
    specularCoefficient =  0.3;
  input Modelica.Mechanics.MultiBody.Types.Color color = {255,255,255};
  parameter Boolean animate=true "Show pulley in animation";
protected 
   Modelica.SIunits.Position pulleyPosition[3] = {position[1], position[2], zCoordinate};
equation 
  
end PartialPulleyShape;
