connector WrapAngleConnector "wrap angle connector base class" 
  Integer direction "direction of pulley rotation";
  Modelica.SIunits.Angle WrapAngle "current wrap angle";
  Modelica.SIunits.Angle Rotation "rotation angle of pulley axis";
  Modelica.SIunits.Diameter PulleyDiameter "pulley diameter";
  Modelica.SIunits.Position PulleyPosition[3] "vector to the pulley center";
  flow Modelica.SIunits.Force f[3] "hubload vector";
  flow Modelica.SIunits.Torque torque "torque";
  Modelica.SIunits.Length width "belt width";
  Modelica.SIunits.Position z "z-Coordinate of the belt drive";
  
  Modelica.SIunits.Force spanForceVec_a[3] "span forces from span a";
  Modelica.SIunits.Force spanForceVec_b[3] "span forces from span b";
  Modelica.SIunits.Length spanLength_a "span length from span a";
  Modelica.SIunits.Length spanLength_b "span length from span b";
  Modelica.SIunits.Length spanHeight "span height";
end WrapAngleConnector;
